<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/loading_layout"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    android:background="@android:color/transparent"
    android:clickable="true"
    android:visibility="gone" >

    <ProgressBar
        android:id="@+id/loading_progressbar"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        android:layout_marginBottom="@dimen/margin_large"
        android:indeterminate="true"
        android:indeterminateDrawable="@drawable/progress_bar_custom" />

    <LinearLayout
        android:id="@+id/loading_layout_text"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/loading_progressbar"
        android:layout_centerHorizontal="true"
        android:gravity="center"
        android:orientation="horizontal" >

        <TextView
            android:id="@+id/loading_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/loading"
            android:textColor="@android:color/black" />

        <TextView
            android:id="@+id/loading_percent"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textColor="@android:color/black" />
    </LinearLayout>

</RelativeLayout>